Resolido Docs
Ai agents

Create AI agent

POST
/agents

Create an AI agent (inactive until you activate it). Owner/admin.

Authorization

bearer agents:write
headerAuthorizationBearer <token>

API key (rsl_live_…) from Settings → Developers.

Scope: agents:write

Request Body

application/json
  1. body
name*string
Length2 <= length <= 100
description?string
Lengthlength <= 500
instructions?string

System prompt: who the agent is, tone, rules.

Lengthlength <= 500000
model?string

Response model id from models_list; omitted = platform default.

Value in"anthropic/claude-haiku-5.5""openai/gpt-6-luna""openai/gpt-6-sol""openai/gpt-6-astra""anthropic/claude-sonnet-5""google/gemini-3.8-flash""z-ai/glm-5.3-flash"
language?string

Language of the default email signature.

Default"en"
Value in"en""cs"

Response Body

Success

application/json
  1. response
id*string
name*string
isActive*boolean
dashboardUrl*string
curl -X POST "https://example.com/agents" \  -H "Content-Type: application/json" \  -d '{    "name": "string"  }'
{  "id": "string",  "name": "string",  "isActive": true,  "dashboardUrl": "string"}